distromatic/Makefile.am

65 lines
2.5 KiB
Makefile

# This file is part of `distromatic', the QiLinux RPM tool for the distribution
# Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY, to the extent permitted by law; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
auxdir = @ac_aux_dir@
AUTOMAKE_OPTIONS = 1.8 dist-bzip2 foreign nostdinc no-dist-gzip
SUBDIRS = po $(auxdir) html src src/include
EXTRA_DIST = config/config.rpath m4/ChangeLog AUTHORS COPYING ChangeLog VERSION distromatic.conf
install-data-local:
$(mkdir_p) $(DESTDIR)$(sysconfdir)
$(INSTALL_DATA) $(srcdir)/distromatic.conf $(DESTDIR)${sysconfdir}/distromatic.conf
dist-rpm: dist-bzip2
@rpm_sourcedir=`rpm --eval=%{_sourcedir} 2>/dev/null`;\
[ -d "$$rpm_sourcedir" ] || \
{ echo "directory not found: $$rpm_sourcedir" 1>&2; exit 1; };\
mv -f $(distdir).tar.bz2 $$rpm_sourcedir || exit 1; \
echo "Created tarball \`$$rpm_sourcedir/$(distdir).tar.bz2'."
ACLOCAL_AMFLAGS = -I m4
check-gettext:
@if test x$(USE_NLS) != "xyes" ; then echo "Missing gettext. Rerun configure and check for" \
"'checking whether to use NLS... yes'!" ; exit 1 ; fi
update-po: check-gettext
@find $(srcdir)/src/ -name "*.cpp" -print | sort > $(srcdir)/po/POTFILES.in.2 ; \
if diff $(srcdir)/po/POTFILES.in $(srcdir)/po/POTFILES.in.2 >/dev/null 2>&1 ; then \
rm -f $(srcdir)/po/POTFILES.in.2 ; \
else \
mv $(srcdir)/po/POTFILES.in.2 $(srcdir)/po/POTFILES.in ; \
fi
cd po && $(MAKE) $(AM_MAKEFLAGS) update-po
update-gmo: check-gettext
cd po && $(MAKE) $(AM_MAKEFLAGS) update-gmo
force-update-gmo: check-gettext
touch po/*.po
cd po && $(MAKE) $(AM_MAKEFLAGS) update-gmo
force-update-gmo-%: check-gettext
@language=`echo $@ | sed s/force-update-gmo-//` ; \
if test ! -f po/$$language.po ; then echo "file po/$$language.po does not exist" ; exit 1 ; fi ; \
touch po/$$language.po ; \
cd po && $(MAKE) $(AM_MAKEFLAGS) update-gmo
.PHONY: check-gettext update-po update-gmo force-update-gmo